<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="1dp"
    android:layout_marginRight="1dp"
    android:layout_marginBottom="10dp"
    app:cardCornerRadius="15dp"
    app:contentPaddingBottom="14dp"
    app:contentPaddingLeft="12dp"
    app:contentPaddingRight="14dp"
    app:contentPaddingTop="14dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:singleLine="true"
                android:ellipsize="end"
                android:id="@+id/tv_name"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:textColor="#ff333333"
                android:textSize="14sp"
                tools:text="正式授课小报告厅" />

            <TextView
                android:layout_marginLeft="10dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableLeft="@drawable/ic_room"
                android:drawablePadding="5dp"
                android:text="总座位数："
                android:textColor="#ff666666"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/tv_seat_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="#FF347FFF"
                android:textSize="12sp" />


        </LinearLayout>

        <TextView
            android:id="@+id/tv_empty"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="13dp"
            android:background="@drawable/shape_check_btn"
            android:gravity="center"
            android:padding="15dp"
            android:text="暂无安排"
            android:textColor="#ff999999"
            android:textSize="11sp" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_sub"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="13dp" />

        <!--        <com.google.android.flexbox.FlexboxLayout-->
        <!--            android:id="@+id/flex_room"-->
        <!--            app:flexWrap="wrap"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="wrap_content">-->
        <!--            <LinearLayout-->
        <!--                app:layout_flexBasisPercent="47%"-->
        <!--                android:layout_width="100dp"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:background="@drawable/shape_check_btn"-->
        <!--                android:orientation="vertical"-->
        <!--                android:paddingLeft="15dp"-->
        <!--                android:paddingTop="10dp"-->
        <!--                android:paddingRight="15dp"-->
        <!--                android:paddingBottom="10dp">-->

        <!--                <TextView-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="09:00-11:30"-->
        <!--                    android:textColor="#ff347fff"-->
        <!--                    android:textSize="12sp" />-->

        <!--                <TextView-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:layout_marginTop="8dp"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="吉林省城市基层党务工作者”万人大培训”"-->
        <!--                    android:textColor="#ff666666"-->
        <!--                    android:textSize="10sp" />-->

        <!--                <TextView-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="20210310班1组"-->
        <!--                    android:textColor="#FF999999"-->
        <!--                    android:textSize="10sp" />-->

        <!--            </LinearLayout>-->

        <!--        </com.google.android.flexbox.FlexboxLayout>-->

        <!--        <LinearLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_marginTop="13dp"-->
        <!--            android:orientation="horizontal">-->

        <!--            <LinearLayout-->
        <!--                android:layout_width="0dp"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:layout_weight="1"-->
        <!--                android:background="@drawable/shape_check_btn"-->
        <!--                android:orientation="vertical"-->
        <!--                android:paddingLeft="15dp"-->
        <!--                android:paddingTop="10dp"-->
        <!--                android:paddingRight="15dp"-->
        <!--                android:paddingBottom="10dp">-->

        <!--                <TextView-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="09:00-11:30"-->
        <!--                    android:textColor="#ff347fff"-->
        <!--                    android:textSize="12sp" />-->

        <!--                <TextView-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:layout_marginTop="8dp"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="吉林省城市基层党务工作者”万人大培训”"-->
        <!--                    android:textColor="#ff666666"-->
        <!--                    android:textSize="10sp" />-->

        <!--                <TextView-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="20210310班1组"-->
        <!--                    android:textColor="#FF999999"-->
        <!--                    android:textSize="10sp" />-->

        <!--            </LinearLayout>-->

        <!--            <Space-->
        <!--                android:layout_width="12dp"-->
        <!--                android:layout_height="0dp"/>-->

        <!--            <LinearLayout-->
        <!--                android:layout_width="0dp"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:layout_weight="1"-->
        <!--                android:background="@drawable/shape_check_btn"-->
        <!--                android:orientation="vertical"-->
        <!--                android:paddingLeft="15dp"-->
        <!--                android:paddingTop="10dp"-->
        <!--                android:paddingRight="15dp"-->
        <!--                android:paddingBottom="10dp">-->

        <!--                <TextView-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="09:00-11:30"-->
        <!--                    android:textColor="#ff347fff"-->
        <!--                    android:textSize="12sp" />-->

        <!--                <TextView-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:layout_marginTop="8dp"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="吉林省城市基层党务工作者”万人大培训”"-->
        <!--                    android:textColor="#ff666666"-->
        <!--                    android:textSize="10sp" />-->

        <!--                <TextView-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="20210310班1组"-->
        <!--                    android:textColor="#FF999999"-->
        <!--                    android:textSize="10sp" />-->

        <!--            </LinearLayout>-->

        <!--        </LinearLayout>-->

    </LinearLayout>


</androidx.cardview.widget.CardView>